Lantern
REST APILoyalty API

Get Activity

Retrieves the customer's loyalty activity history (ledger entries) with pagination. Entries are returned in descending order by date (newest first).

GET
/activity/

Query Parameters

limit?integer

Number of entries to return (max: 50).

Default20
Formatint32
offset?integer

Number of entries to skip for pagination.

Default0
Formatint32

Response Body

application/json

application/json

application/json

curl -X GET "https://yourstore.myshopify.com/a/lantern/activity/"
{
  "activity": [
    {
      "id": "160",
      "date": "2026-02-02T21:58:57.152Z",
      "type": "Earn Event",
      "description": "Follow us on Instagram",
      "pointChange": 50,
      "pointBalance": 1550,
      "spendChange": 0,
      "spendBalance": 500,
      "voided": false,
      "tierChanged": false,
      "tierChange": "Increase",
      "tier": {
        "id": "2",
        "name": "silver-member",
        "displayName": "Silver Member"
      },
      "order": {
        "id": "6842969882865",
        "name": "#1035",
        "orderNumber": 1035,
        "totalPrice": "85.00"
      },
      "earnEvent": {
        "id": "87",
        "handle": "follow-instagram",
        "title": "Follow us on Instagram"
      },
      "redemption": {
        "id": "92",
        "type": "Discount Code",
        "value": 10,
        "valueType": "Amount",
        "code": "SAVE10-ABC123",
        "rewardTitle": "$10 Off Your Order"
      }
    }
  ],
  "pagination": {
    "total": 50,
    "limit": 20,
    "offset": 0,
    "hasMore": true
  }
}
{
  "error": "Invalid app proxy request"
}
{
  "error": "Customer not found",
  "customerId": "7234567890123"
}